Subject: Re: [PATCH] RDMA/cxgb4: Add default_llseek to debugfs files.

From: Roland Dreier <[email-masked]>
Date: Wed, 29 Sep 2010 12:21:14 -0700

> The main difference between default_llseek and generic_file_llseek
 > is that default_llseek doesn't care about the maximum file size
 > of the underlying file system, which is ULONG_MAX on debugfs,
 > so they are equivalent.

I thought default_llseek also takes the BKL still?

 > In general, the preferred one is no_llseek for those files where
 > you know you do not need to seek. If you do, I'd use default_llseek
 > for character devices and generic_file_llseek for file systems
 > that set the s_maxbytes.

The case in question is for debugfs files, so we should use
generic_file_llseek, right?

 - R.
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html